Package weka.classifiers.trees.lmt

# Class ResidualModelSelection

java.lang.Object
weka.classifiers.trees.j48.ModelSelection
weka.classifiers.trees.lmt.ResidualModelSelection

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class ResidualModelSelection extends ModelSelection
Helper class for logistic model trees (weka.classifiers.trees.lmt.LMT) to implement the splitting criterion based on residuals.

Version:
  $Revision: 1.4 $
Author:
  Niels Landwehr
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResidualModelSelection(int minNumInstances)`
Constructor to create ResidualModelSelection object.

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup()`
Method not in use
`String`
`getRevision()`
Returns the revision string.
`final ClassifierSplitModel`
`selectModel(Instances train)`
Method not in use
`final ClassifierSplitModel`
`selectModel(Instances data, double[][] dataZs, double[][] dataWs)`
Selects split based on residuals for the given dataset.
`final ClassifierSplitModel`
`selectModel(Instances train, Instances test)`
Method not in use

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResidualModelSelection

public ResidualModelSelection(int minNumInstances)
Constructor to create ResidualModelSelection object.

Parameters:
  `minNumInstances` - minimum number of instances for leaves

## Method Details

### cleanup

public void cleanup()
Method not in use

### selectModel

public final ClassifierSplitModel selectModel(Instances data, double[][] dataZs, double[][] dataWs) throws Exception
Selects split based on residuals for the given dataset.

Throws:
  `Exception`

### selectModel

public final ClassifierSplitModel selectModel(Instances train)
Method not in use

Specified by:
  `selectModel` in class `ModelSelection`

### selectModel

public final ClassifierSplitModel selectModel(Instances train, Instances test)
Method not in use

Overrides:
  `selectModel` in class `ModelSelection`

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision